#ifdef GL_ES
precision mediump float;
#endif

uniform vec2 u_centerAdj;
uniform float u_radiusAdj;

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main()
{
    vec2 delXY = v_texCoord - u_centerAdj;
    float delL = length(delXY);

    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
	if (delL <= u_radiusAdj)
		gl_FragColor = texColor * v_fragmentColor;
	else
		gl_FragColor = vec4(0);
}