#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;

uniform float u_gamma;

void main()
{
    vec4 textureColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
    gl_FragColor = vec4(pow(textureColor.rgb, vec3(u_gamma)), textureColor.w);
}